Page MenuHomePhabricator

Make FileRepo file cache misses use slaves instead of the master
Closed, ResolvedPublic

Description

This is needed for multi DC support

Event Timeline

aaron created this task.Feb 4 2015, 3:17 AM
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added a project: MediaWiki-Core-Team.
aaron moved this task to Backlog on the MediaWiki-Core-Team board.
aaron added a subscriber: aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2015, 3:17 AM

Change 194589 had a related patch set uploaded (by Aaron Schulz):
[WIP] Remove isVolatile/markVolatile logic from LocalFile

https://gerrit.wikimedia.org/r/194589

Change 194589 merged by jenkins-bot:
Remove isVolatile/markVolatile logic from LocalFile

https://gerrit.wikimedia.org/r/194589

aaron closed this task as Resolved.Mar 6 2015, 9:31 PM
aaron claimed this task.
bd808 moved this task from Backlog to Done on the MediaWiki-Core-Team board.Mar 7 2015, 12:55 AM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 9 2015, 9:14 PM

Change 197684 had a related patch set uploaded (by Gergő Tisza):
Force LocalFile::purgeMetadataCache use the master DB

https://gerrit.wikimedia.org/r/197684

Change 197684 merged by jenkins-bot:
Force LocalFile::purgeMetadataCache use the master DB

https://gerrit.wikimedia.org/r/197684

Change 197708 had a related patch set uploaded (by Gergő Tisza):
Force LocalFile::purgeMetadataCache use the master DB

https://gerrit.wikimedia.org/r/197708

Change 197709 had a related patch set uploaded (by Gergő Tisza):
Force LocalFile::purgeMetadataCache use the master DB

https://gerrit.wikimedia.org/r/197709

Change 197709 merged by jenkins-bot:
Force LocalFile::purgeMetadataCache use the master DB

https://gerrit.wikimedia.org/r/197709

Change 197708 merged by jenkins-bot:
Force LocalFile::purgeMetadataCache use the master DB

https://gerrit.wikimedia.org/r/197708